# Update account link

Update record keeping details about the account link. This can not be used to set up a new account link.

Endpoint: PUT /people/{personId}/payment-instruments/{paymentInstrumentId}/account-link
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `personId` (string, required)
    A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

  - `paymentInstrumentId` (string, required)
    The payment instrument identifier.

## Request fields (application/json):

  - `dataServices` (array)
    A list of data services available with this link.

  - `lastErrorCommunicationAt` (string)
    The date and time that the most recent error notification was sent to the user. When updated, `errorCommunicationsSent` is incremented.

## Response 200 fields (application/json):

  - `message` (string)
    Description of the server action or error.

  - `status` (integer)
    HTTP status code.

  - `data` (object)
    An object representing a link with a third party vendor (e.g. Plaid) that allows fetching additional account details.

  - `data.accessToken` (string, required)
    The vendor's access token for initial access. With Plaid, this can be the `public_token` provided by Plaid Link, or the `access_token` provided after exchanging the public token.

  - `data.accountId` (string, required)
    The identifier used to identify an account with the data vendor.

  - `data.dataServices` (array)
    A list of data services available with this link.

  - `data.errorCommunicationsSent` (integer)
    The number of times the user has been notified that the account link has failed and needs to be recreated.

  - `data.itemId` (string)
    The vendor's item identifier. With Plaid, this is the `item_id`.

  - `data.lastErrorCommunicationAt` (string)
    The date and time that the most recent error notification was sent to the user.

  - `data.recentError` (object)
    The most recent error that occurred while fetching data from this link.

  - `data.recentError.errorCodeByVendor` (string)
    The error code as received from the vendor.

  - `data.recentError.errorDescriptionBorrower` (string)
    The error description as received from the vendor for presentation to the borrower.

  - `data.recentError.errorDescriptionInternal` (string)
    The internal error description as received from the vendor.

  - `data.recentError.errorType` (string)
    The error type. This describes the appropriate way to handle the error.
    Enum: "retry", "relink", "outage"

  - `data.recentError.errorTypeByVendor` (string)
    The error type as received from the vendor.

  - `data.status` (string)
    The status of the account link.
    Enum: "active", "inactive"

  - `data.vendor` (string, required)
    The data vendor identifier.
    Enum: "plaid"

